Name: Xbae
Version: 4.5
Release: 4
Copyright: distributable
Source0: Xbae-4.5.tar.gz
Patch0: Xbae-4.5.patch
Patch1: Xbae-4.5.patch1
Group: X11/Libraries
Summary: supplies Motif widgets `XbaeMatrix' and `XbaeCaption'
Provides: libXbae.so.5
Packager: Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>
%description
What the widgets do:
--------------------

 XbaeMatrix:

   XbaeMatrix is a Motif widget which presents an editable array of
   string data to the user in a scrollable table similar to a
   spreadsheet. The rows and columns of the Matrix may optionally be
   labeled. Also, a number of "fixed" rows or columns may be
   specified - these behave similarly to the labels. While XbaeMatrix
   looks and acts like a grid oF XmTextField widgets, it actually
   contains only one XmTextField.  This means that XbaeMatrix widgets
   with hundreds or thousands of rows have much less overhead than they
   would if they used an XmTextField for each cell. XbaeMatrix has
   callbacks for doing field validation and customizing traversal. It
   allows cells to be assigned independent colors.  It allows rows,
   columns and regions of cells to be selected or highlighted.  The matrix
   can be dynamically grown or shrunk by adding and deleting rows and
   columns at any position.  The widget has many resources to allow
   individual customisation and can be made to look and behave like an
   extended list widget with added functionality.  Pixmaps (both colour xpm
   and standard bitmaps) can be displayed in individual cells with the
   callbacks available in the widget.
   

 XbaeCaption:

   XbaeCaption is a simple Motif manager widget used to associate an
   XmLabel (caption) with it's single child. The label may be either an
   XmString or Pixmap and can be displayed in any one of twelve positions
   around the perimeter of the child. XbaeCaption's geometry management
   technique is to simply "shrink wrap" it's child and display the
   caption alongside it.  By using XbaeCaption with an XmFrame child,
   groups of related widgets can be labeled similarly to the IBM CUA
   "Group Box", but with more flexibility.  XbaeCaption is also useful
   for associating labels with individual XmTextField widgets.

%prep
%setup
%patch0 -p1
# Apply patch 1 only if there is a library libXp.so
if ldconfig -p | grep -q libXp.so; then
%patch1 -p1
fi

%build
xmkmf
make World

%install
make install
make install.man
gzip -f /usr/X11/man/man3/XbaeMatrix.3
gzip -f /usr/X11/man/man3/XbaeCaption.3

%post
ldconfig

%files
%doc CHANGELOG LICENSE PROBLEMS README TODO doc/*
/usr/X11/lib/libXbae.so.5.0
/usr/X11/lib/libXbae.so.5
/usr/X11/lib/libXbae.so
/usr/X11/lib/libXbae-4.5.a
/usr/X11/lib/libXbae.a
/usr/X11/include/Xbae-4.5
/usr/X11/include/Xbae
/usr/X11/man/man3/XbaeMatrix.3.gz
/usr/X11/man/man3/XbaeCaption.3.gz

